com.ibm.openpages.api.respview

## Class DashboardList

- java.lang.Object
- - com.ibm.openpages.api.respview.DashboardList

- All Implemented Interfaces:
    java.io.Serializable

      public class DashboardList
      extends java.lang.Object
      implements java.io.Serializable

  Represents the dahsboard query result.
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IDashboardView>` | `getDashboards()` Returns the list of dashboards being fetched
    `int` | `getTotalResultCount()` Returns the total count of the result.
    `void` | `setDashboards(java.util.List<IDashboardView> dashboards)` Assigns the list of dashboards being fetched
    `void` | `setTotalResultCount(int totalResultCount)` Assigns the total cound of the result.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardList

          public DashboardList()

  - ### Method Detail

    - #### getDashboards

          public java.util.List<IDashboardView> getDashboards()

      Returns the list of dashboards being fetched
      Returns:

    - #### setDashboards

          public void setDashboards(java.util.List<IDashboardView> dashboards)

      Assigns the list of dashboards being fetched
      Parameters:
        `dashboards` -

    - #### getTotalResultCount

          public int getTotalResultCount()

      Returns the total count of the result. Note that it may not match the size of `getDashboards()` when the paging is enabled
      Returns:

    - #### setTotalResultCount

          public void setTotalResultCount(int totalResultCount)

      Assigns the total cound of the result.
      Parameters:
        `totalResultCount` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.